Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## es.inteco.xbrl.lenlocpenloc.errors.exceptions
Class TransformException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              es.inteco.xbrl.lenlocpenloc.errors.exceptions.XBRLENLOCException
                  es.inteco.xbrl.lenlocpenloc.errors.exceptions.TransformException

All Implemented Interfaces:
  java.io.Serializable

    public class TransformException

extends XBRLENLOCException

Clase utilizada para notificar los errores encontrados en el proceso de transformación.
Proyecto: API XBRL-LENLOCPENLOC2010 - Grupo de utilidades y librerías en código abierto para facilitar la integración del formato XBRL en las herramientas software de gestión de terceros aislándose de la complejidad en el procesamiento del modelo de datos de las taxonomías. Ayudando de esta forma a las entidades locales en la labor de realización de informes XBRL y asegurar el éxito en el reporte de presupuestos y liquidación de presupuestos de las entidades locales en formato XBRL

Version:
  1.0, 24/06/2009
Author:
  difusioncalidad@inteco.es
See Also:
  Serialized Form

Field Summary
`static java.lang.String` | `duplicateIemsError` Indica que viene varias veces el mismo concepto bajo el mismo periodo y con el mismo valor.
`static java.lang.String` | `errorCreatingTransformerToXBRL` Error al crear la instancia de la clase TransformerToXBRL
`static java.lang.String` | `errorCreatingTransformerToXML` Error al crear la instancia de la clase TransformerToXML
`static java.lang.String` | `errorGettingModule` Error obteniendo un módulo sobre el cual se guardarán los elementos, durante el proceso de generación a XML.
`static java.lang.String` | `errorIdNotFoundInMap` No se ha encontrado conceptMap en el mapa.
`static java.lang.String` | `errorInstanceIsEmpty`
`static java.lang.String` | `errorInTransformationToXbrl` Error general encontrado en el proceso de transformación de un documento en formato común (XML) a XBRL.
`static java.lang.String` | `errorInTransformationToXml` Error general encontrado en el proceso de transformación de un documento XBRL a XML en formato común.
`static java.lang.String` | `errorItemInBadModule` En XBRL-LENLOCPENLOC2010 todos los facts reportados sobre un contexto XBRL deben pertenecer al mismo módulo, es decir, si un contexto tiene asociado un fact de patnetA no puede tener otro u otros pertenecientes a patnetB o cualquier otro módulo diferente a patnetA.
`static java.lang.String` | `errorSerializingXBRLOutput` Error al serializar la instancia XBRL resultado de la transformación
`static java.lang.String` | `errorValidatingXBRLInstance` Error al ejecutar la validación de un fichero XBRL desde el módulo de transformación
`static java.lang.String` | `errorValidatingXMLInput` Error al validar el fichero de entrada en la transformación de XML a XBRL.
`static java.lang.String` | `notExistDomainMemberForModule` No existe domain member para un módulo dado.

Fields inherited from class es.inteco.xbrl.lenlocpenloc.errors.exceptions.XBRLENLOCException
`canNotResolveSchemaRef, errorContextWithoutDimensionContainer, errorContextWithoutScenario, errorCreatingTempFile, errorGettingFile, errorGettingNS, errorGettingReportID, errorGettingSchema, errorInicializingProcessor, errorInXSLTTransformation, errorNormalizeSchema, errorParamsTransformation, errorResolvingConfigPaths, errorSavingFileToByteArray, errorTryingViewInstance, errorTryingViewInstanceExternal, errorTryingViewInstanceResultFile, genericErrorValidatingInstance, notExistTempDirectory`

Constructor Summary
`TransformException(java.lang.String message, GenericErrorsHandler errorsHandler)` Crea una excepción con un identificador, el cual corresponderá a una de las constantes definidas.
`TransformException(java.lang.String message, GenericErrorsHandler errorsHandler, java.lang.Throwable cause)` Crea una excepción con un identificador, el cual corresponderá a una de las constantes definidas.
`TransformException(java.lang.String message, java.lang.String[] parameters)` Crea una excepción con un identificador, el cual corresponderá a una de las constantes definidas, con los parámetros necesarios para completar el mensaje de error sin indicar la causa del error.
`TransformException(java.lang.String message, java.lang.String[] parameters, GenericErrorsHandler errorsHandler)` Crea una excepción con un identificador, el cual corresponderá a una de las constantes definidas, con los parámetros necesarios para completar el mensaje de error.
`TransformException(java.lang.String message, java.lang.String[] parameters, java.lang.Throwable cause)` Crea una excepción con un identificador, el cual corresponderá a una de las constantes definidas, con los parámetros necesarios para completar el mensaje de error.
`TransformException(java.lang.String message, java.lang.Throwable cause)` Crea una excepción con un identificador, el cual corresponderá a una de las constantes definidas.

Method Summary

Methods inherited from class es.inteco.xbrl.lenlocpenloc.errors.exceptions.XBRLENLOCException
`getCodeError, getErrorsHandler, getMessage, setCodeError, setErrorsHandler`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### errorInTransformationToXbrl

    public static final java.lang.String errorInTransformationToXbrl

  Error general encontrado en el proceso de transformación de un documento en formato común (XML) a XBRL.

  See Also:
    Constant Field Values

### errorInTransformationToXml

    public static final java.lang.String errorInTransformationToXml

  Error general encontrado en el proceso de transformación de un documento XBRL a XML en formato común.

  See Also:
    Constant Field Values

### errorValidatingXMLInput

    public static final java.lang.String errorValidatingXMLInput

  Error al validar el fichero de entrada en la transformación de XML a XBRL.

  See Also:
    Constant Field Values

### errorGettingModule

    public static final java.lang.String errorGettingModule

  Error obteniendo un módulo sobre el cual se guardarán los elementos, durante el proceso de generación a XML.

  See Also:
    Constant Field Values

### notExistDomainMemberForModule

    public static final java.lang.String notExistDomainMemberForModule

  No existe domain member para un módulo dado.

  See Also:
    Constant Field Values

### duplicateIemsError

    public static final java.lang.String duplicateIemsError

  Indica que viene varias veces el mismo concepto bajo el mismo periodo y con el mismo valor.

  See Also:
    Constant Field Values

### errorItemInBadModule

    public static final java.lang.String errorItemInBadModule

  En XBRL-LENLOCPENLOC2010 todos los facts reportados sobre un contexto XBRL deben pertenecer al mismo módulo, es decir, si un contexto tiene asociado un fact de patnetA no puede tener otro u otros pertenecientes a patnetB o cualquier otro módulo diferente a patnetA.

  See Also:
    Constant Field Values

### errorIdNotFoundInMap

    public static final java.lang.String errorIdNotFoundInMap

  No se ha encontrado conceptMap en el mapa.

  See Also:
    Constant Field Values

### errorValidatingXBRLInstance

    public static java.lang.String errorValidatingXBRLInstance

  Error al ejecutar la validación de un fichero XBRL desde el módulo de transformación

### errorCreatingTransformerToXBRL

    public static java.lang.String errorCreatingTransformerToXBRL

  Error al crear la instancia de la clase TransformerToXBRL

### errorCreatingTransformerToXML

    public static java.lang.String errorCreatingTransformerToXML

  Error al crear la instancia de la clase TransformerToXML

### errorSerializingXBRLOutput

    public static java.lang.String errorSerializingXBRLOutput

  Error al serializar la instancia XBRL resultado de la transformación

### errorInstanceIsEmpty

    public static java.lang.String errorInstanceIsEmpty

Constructor Detail

### TransformException

    public TransformException(java.lang.String message,
                              java.lang.Throwable cause)

  Crea una excepción con un identificador, el cual corresponderá a una de las constantes definidas.

  Parameters:
    `message` - constante correspondiente al mensaje
    `cause` - mensaje de la excepción original

### TransformException

    public TransformException(java.lang.String message,
                              GenericErrorsHandler errorsHandler)

  Crea una excepción con un identificador, el cual corresponderá a una de las constantes definidas.

  Parameters:
    `message` - constante correspondiente al mensaje.
    `errorsHandler` - contiene los errores propagados hasta llegar a esta excepción.

### TransformException

    public TransformException(java.lang.String message,
                              java.lang.String[] parameters,
                              GenericErrorsHandler errorsHandler)

  Crea una excepción con un identificador, el cual corresponderá a una de las constantes definidas, con los parámetros necesarios para completar el mensaje de error.

  Parameters:
    `message` - constante correspondiente al mensaje.
    `parameters` - parámetros para completar el mensaje
    `errorsHandler` - contiene los errores propagados hasta llegar a esta excepción.

### TransformException

    public TransformException(java.lang.String message,
                              GenericErrorsHandler errorsHandler,
                              java.lang.Throwable cause)

  Crea una excepción con un identificador, el cual corresponderá a una de las constantes definidas.

  Parameters:
    `message` - constante correspondiente al mensaje.
    `errorsHandler` - contiene los errores propagados hasta llegar a esta excepción.
    `cause` - mensaje de la excepción original.

### TransformException

    public TransformException(java.lang.String message,
                              java.lang.String[] parameters,
                              java.lang.Throwable cause)

  Crea una excepción con un identificador, el cual corresponderá a una de las constantes definidas, con los parámetros necesarios para completar el mensaje de error.

  Parameters:
    `message` - constante correspondiente al mensaje
    `parameters` - parámetros para completar el mensaje
    `cause` - mensaje de la excepción original

### TransformException

    public TransformException(java.lang.String message,
                              java.lang.String[] parameters)

  Crea una excepción con un identificador, el cual corresponderá a una de las constantes definidas, con los parámetros necesarios para completar el mensaje de error sin indicar la causa del error.

  Parameters:
    `message` - constante correspondiente al mensaje
    `parameters` - parámetros para completar el mensaje

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD